/**
 *  设备授权管理 - 油机FTP密码申请
 *  数据对象的Dto
 * */
/** 分页信息输入 */
export interface PageInputFuelFtpPswRecordInput {
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  filter?: FuelFtpPswRecordInput
}
export interface FuelFtpPswRecordInput {
  /**申请日期*/
  applyDate?: string | null
  /**申请人*/
  name?: string | null
  /**备注*/
  info?: string | null
  /**密钥过期时间*/
  expirationTime?: string | null
}
/**
 * FTP密码申请记录数据对象
 */

export  interface FuelFtpPswRecordDto{
  /**申请日期*/
  applyDate?: string | null
  /**申请人*/
  name?: string | null
  /**备注*/
  info?: string | null
  /**密钥过期时间*/
  expirationTime?: string | null
}

/**结果输出*/
export interface softwarePackageManagement_DtoResult {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 分页信息输出 */
  data?: PageOutputFuelFtpPswRecordDto
}

/** 分页信息输出*/
export interface PageOutputFuelFtpPswRecordDto{
  /**
   * 数据总数
   * @format int64
   */
  total?: number
  /** 数据 */
  list?: FuelFtpPswRecordDto[] | null
}
/** 信息输出*/
export interface ResultOutputBoolean{
   /** 是否成功标记 */
   success?: boolean
   /** 编码 */
   code?: string | null
   /** 消息 */
   msg?: string | null
   /** 分页信息输出 */
   data?: boolean
}
