/**
 * 生产管理 - 部件类型
 *  数据对象的Dto
 * */

/**部件列表对象 */
export interface ComponentGetPageDto{

  /**部件名称 */
  bomName:string | null
  /**部件编号 */
  // bomNo:string | null
  bomProNo: string | null
  // bomMateNo:string | null
  bomType: string
  // status: number
  bomMateNo?: string | null
}

/** 分页信息输入 */
export interface PageInputComponentGetPageDto {
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  dynamicFilter?: DynamicFilterInfo
  filter?: ComponentGetPageDto
}

/**部件表格信息*/
export interface typeTable {
  bomName?: string
  bomNo?: string
  guid?: number
  img?: string
  remark?: string | null
  status?: number | string
  type?:number | string
}

/**添加部件类型表单*/
export interface componentTypeDto{
  guid?: number | null,
  bomName?: string,
  bomNo?: string,
  status?: number ,
  img?: string,
  remark?: string,
  type?: number
}
