/**
 * 平台管理 - 工作台
 *  数据对象的Dto
 * */


export interface workBenchDto {
  /**团标备案主板 数目*/
  calculatorMainboardCount: number | null,
  /**备案ECVR-FM 数目*/
  vaporRecoveryCount: number | null,
  /**待使用主板密钥 数目*/
  vaporRecoveryStateCount: number | null,
  /**待使用ECVR-FM 数目*/
  calculatorMainboardStateCount: number | null,
  /**图表数据*/
  chart:chartDto,
}

export interface chartDto {
  /**线性图 ECVR-FM*/
  vaporRecovery: lineChartDto [] | null
  /**线性图 团标主板*/
  calculatorMainboard: lineChartDto [] | null
  /**线性图 团标备案主板*/
  recordCalculatorMainboard: lineChartDto [] | null
  /**线性图 ECVR-FM备案*/
  recordVaporRecovery:  lineChartDto [] | null
  /**饼状图*/
  mainboardChart: mainboardChartDto [] | null
}

export interface lineChartDto {
  /**月份*/
  month: number | null,
  /**类型*/
  deviceType: string | null,
  /**总数*/
  totalCount: number | null
}

export interface mainboardChartDto {
  /**名字*/
  name: string | null,
  bomNo: string | null,
  /**总数*/
  totalCount: number | null
}
