import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams,} from "/@/api/admin/http-client";
  export class BoardAllFunctionAPI<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name GetList
   * @summary 查询列表
   * @request POST:'/api/app/board-all-function/get-fuel-board-all-function'
   * @secure
   */
getList = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/board-all-function/get-fuel-board-all-function',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })



    /**
   * No description
   *
   * @tags
   * @name Insert
   * @summary 插入
   * @request POST:'/api/app/board-all-function/insert-board-all-function'
   * @secure
   */
    Insert = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/board-all-function/insert-board-all-function',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })


    /**
   * No description
   *
   * @tags
   * @name Update
   * @summary 更新
   * @request POST:'/api/app/board-all-function/update-board-all-function'
   * @secure
   */
    Update = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/board-all-function/update-board-all-function',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })



    /**
   * No description
   *
   * @tags
   * @name Delete
   * @summary 删除
   * @request POST:'/api/app/board-all-function/delete-board-all-function'
   * @secure
   */
    Delete = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/board-all-function/delete-board-all-function',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })




      
    }