import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams,} from "/@/api/admin/http-client";
  export class BoardFunctionListApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name GetList
   * @summary 查询列表
   * @request POST:'/api/app/board-function-list/get-board-function-list-page'
   * @secure
   */
getList = (data:any ,params: RequestParams = {}) : any  =>
      this.request<AxiosResponse,any>({
        path:'/api/app/board-function-list/get-board-function-list-page',
        method: 'POST',
        body:data,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })
    


        /**
   * No description
   *
   * @tags
   * @name insert
   * @summary 插入
   * @request POST:'/api/app/board-function-list/insert-board-function-list'
   * @secure
   */
  insert = (data:any ,params: RequestParams = {}) : any  =>
  this.request<AxiosResponse,any>({
    path:'/api/app/board-function-list/insert-board-function-list',
    method: 'POST',
    body:data,
    type: ContentType.Json,
    secure: true,
    format: 'json',
    ...params
  })


        /**
   * No description
   *
   * @tags
   * @name delete
   * @summary 删除
   * @request POST:'/api/app/board-function-list/delete-board-function-list'
   * @secure
   */
        delete = (data:any ,params: RequestParams = {}) : any  =>
          this.request<AxiosResponse,any>({
            path:'/api/app/board-function-list/delete-board-function-list',
            method: 'POST',
            body:data,
            type: ContentType.Json,
            secure: true,
            format: 'json',
            ...params
          })
        










}