/** 查询信息输出 */
  export interface ResultOutputPageOutputBoardListDto{
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 数据 */
 data?:PageOutputBoardListDto[] | null
}
    export interface PageOutputBoardListDto{
      /**
      * 数据总数
      * @format int64
      */
      total?: number
      /** 数据 */
      list?: BoardListDto[] | null
    }
    export interface BoardListDto{
   /** 序列号 */
      serno?: string
   /** 外部序列号 */
   exserno?: string
      /** 主板类型 */
      boardType?: number
   /** 主板名称 */
      boardName?: string
   /** 创建时间 */
      createTime?: string
   /** 最近检测时间 */
      lastTestTime?: string
   /** 最新检测状态 */
      lastTestState?: number
   /** 最新检测员 */
      lastTestUser?: string
      /** 是否一次通过 */
      onceTestPass?: number
   /** 测试次数 */
      testTimes?: number
   /** 测试成功次数 */
      successTimes?: number
   /** 功能项数 */
      functionNum?: number
   /** 功能项成功数 */
      functionSuccessNum?: number
   /** 测试总耗时 */
      duration?: number
   /** 备注 */
      info?: string

}
export interface pageInput {
      /**当前页数 */
      CurrentPage: number | any
      /**展示页数 */
      PageSize: number | any
    }
